<template>
  <div class="md-layout">
    <div class="md-layout-item md-size-50 md-small-size-100">
      <md-field>
        <label for="category">Categoria</label>
        <md-select v-model="issue.category" name="movie" id="category">
          <md-option value="Buca">Buca</md-option>
          <md-option value="Lampione">Lampione</md-option>
          <md-option value="BlackOut">BlackOut</md-option>
          <md-option value="Scarico abusivo di rifiuti">Scarico abusivo di rifiuti</md-option>
          <md-option value="Altro">Altro...</md-option>
        </md-select>
      </md-field>
    </div>
    <div class="md-layout-item md-size-100">
      <label for="keywords">Parole chiave (usa INVIO come separatore)</label>
      <input-tag id="keywords" :tags.sync="issue.userInsertedKeywords"></input-tag>
    </div>
    <md-field>
      <label>Descrizione</label>
      <md-textarea v-model="issue.description"></md-textarea>
    </md-field>
  </div>
</template>

<script>
  import InputTag from 'vue-input-tag'

  export default {
    name: "IssueInfoStep",
    props: ['issue'],
    data: function () {
      return {
      }
    },
    methods: {
      validate: function () {
        return true;
      }
    },
    components: {
      InputTag
    }
  }
</script>

<style scoped>

</style>
